4.1(u), but should i update to 4.2 or 4.3?

Discussion in 'Wii - Hacking' started by wii in my butt, Jan 11, 2012.

  1. wii in my butt
    OP

    wii in my butt Newbie

    Newcomer
    3
    0
    Jan 11, 2012
    United States
    I softmodded my wii 2+ years ago and have done very few updates other than usbloader gx and homebrew updates through the programs them selves. Now that the newer games that are coming out need additional cios/wad updates (skylander, zelda, etc.) i find myself confused on whether or not to do a complete system update to make life easier.

    Since my initial softmod many new tools have been created(or at least improved). I have tried to install priiloader since i didn't seem to need it long ago, but i seem to be unable to with 4.1. I have tried to install various cios updates with limited success. I'm starting to think many of these issues are a result of my 4.1 SM.

    Additionally, i'd like to be able to add the netflix channel to my wii, but i cannot do this without a system update, right?

    Any thoughts or advice would be appreciated.
     
  2. vpd

    vpd GBAtemp Regular

    Member
    151
    24
    Sep 2, 2009
    No, there is no reason to upgrade your system menu, it adds nothing at all, only takes away.
    Games never need the system menu updating, only the IOS it uses, unless it's a backup then even that doesn't matter it's all down to the cios.

    If you want to have everything up to date, use modmii and remod your wii as if it had never been hacked and stay on 4.1.
     
    1 person likes this.
  3. Luigi2012SM64DS

    Luigi2012SM64DS G-old member

    Banned
    2,060
    309
    Aug 27, 2011
    Canada
    Minecrapt
    no don't do it. it will make your life harder. use modmii. done.
     
    1 person likes this.
  4. wii in my butt
    OP

    wii in my butt Newbie

    Newcomer
    3
    0
    Jan 11, 2012
    United States
    Loud and clear. 4.1 it is.

    As far as netflix goes, is there a way to add the channel without updating the SM? i don't see a download or hack for it on modmii or anywhere else.
     
  5. brausm08

    brausm08 GBAtemp Advanced Fan

    Member
    721
    17
    Nov 15, 2009
    United States
    USA - Midwest
    just dowload it from shop channel....you can use wii shop on 4.1 so long as shop channel is the most current (ver.20)....

    i think you could also probably get it from NUSD...
     
    1 person likes this.
  6. Luigi2012SM64DS

    Luigi2012SM64DS G-old member

    Banned
    2,060
    309
    Aug 27, 2011
    Canada
    Minecrapt
    i meant resoftmod with modmii. tell it your wii is free of hacks and then all your hacks will be up to date( and shop channel will work)
     
  7. DinohScene

    DinohScene Capture the Dino

    Member
    GBAtemp Patron
    DinohScene is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    15,836
    12,292
    Oct 11, 2011
    Antarctica
    В небо
    I've also softmodded my Wii like 3 years ago and never updated.
    It's still on 3.2E and I never plan on upgrading it.

    All of the games I play that have come out recently still works
     
  8. wii in my butt
    OP

    wii in my butt Newbie

    Newcomer
    3
    0
    Jan 11, 2012
    United States
    OK, i'm good. modmii worked like a charm and i was able install netflix via the shop channel with no updating issues.

    All my newer games work with ease and i didn't even have to set custom cios loads for individual games like i used to have to do.

    Thanks for the advice!!
     
  9. Lucif3r

    Lucif3r GBAtemp Maniac

    Member
    1,464
    78
    Sep 10, 2011
    Thats probably because you got d2x v7 base 56 now, which has 99.9% compability. As far as I know youll only have to switch for black ops and MW3, they require a base 57 cIOS. ModMii installs that in slot 250 by default.
     
  10. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,955
    3,740
    Apr 2, 2011
    United States
    The Twilight Zone
    Do you realize you are missing out on SDHC support and playing channels from your SD card by not updating to 4.1? Of course both of those can be done through homebrew without updating, but unless you just love having the twilight hack I don't see why you would want to stay at 3.2. In the end it's your choice though.
     
  11. NES SNES V.B. N64 G.C. Wii WiiU

    NES SNES V.B. N64 G.C. Wii WiiU Now with extra redundancy!

    Member
    859
    99
    Feb 10, 2011
    The EoF
    Yep @[member='DinohScene'], you only need to update to 4.1, don't go any higher than that. :)

    Also @OP, just stick with 4.1 ;)
     
  12. DinohScene

    DinohScene Capture the Dino

    Member
    GBAtemp Patron
    DinohScene is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    15,836
    12,292
    Oct 11, 2011
    Antarctica
    В небо
    No nasty downgraded IOSses.
    Besides I hardly have any Wiiware/VC games so SDHC support isn't needed for me.